Skip to main content
GET
/
sessions
/
list
List Sessions
curl --request GET \
  --url https://api.series.hr/sessions/list \
  --header 'apikey: <api-key>'
Retrieve a paginated list of sessions. All filter parameters are optional — if none are provided, all sessions are returned with pagination.

Request

curl -X GET "https://api.series.hr/sessions/list?page=1&status=upcoming" \
  -H "apikey: YOUR_API_KEY"

Date range example

curl -X GET "https://api.series.hr/sessions/list?start=2024-01-01&end=2024-01-31&status=completed" \
  -H "apikey: YOUR_API_KEY"

Single date example

curl -X GET "https://api.series.hr/sessions/list?date=2024-01-15" \
  -H "apikey: YOUR_API_KEY"

Parameters

page
integer
Page number (default: 1)
status
string
Filter by session status. One of: upcoming, ongoing, completed, cancelled
date
string
Filter by a single date (YYYY-MM-DD). Cannot be combined with start/end.
start
string
Start of date range (YYYY-MM-DD). Use with end.
end
string
End of date range (YYYY-MM-DD). Use with start.
host
string
Filter by host user ID

Response

200
{
  "success": true,
  "data": {
    "WorkspaceId": "workspace_abc123",
    "Page": 1,
    "Sessions": [
      {
        "SessionId": "session_1234567890_abc12345678",
        "WorkspaceId": "workspace_abc123",
        "Title": "Training Session",
        "Host": "714760171",
        "Scheduled": "2024-01-20T15:00:00.000Z",
        "Delayed": false,
        "Status": "upcoming",
        "Claimable": true,
        "Duration": 60,
        "CustomRoles": {
          "Trainer": {
            "MinRank": 25,
            "Permissions": {
              "ChangeSessionStatus": false,
              "PassOrFailAttendees": true,
              "ModifyAttendance": true
            },
            "Slots": {
              "VACANT_0": { "Attended": false },
              "VACANT_1": { "Attended": false }
            }
          }
        }
      }
    ]
  }
}
The CustomRoles field is only included for Premium/Enterprise workspaces that have custom roles configured on their sessions.

Authorizations

apikey
string
header
required

Pass your API key in the apikey header. Alternatively, the x-api-key header is also accepted.

Query Parameters

page
integer
default:1

Page number (default: 1)

Required range: x >= 1
status
enum<string>

Filter by session status

Available options:
upcoming,
ongoing,
completed,
cancelled
date
string<date>

Filter by a single date (YYYY-MM-DD). Cannot be combined with start/end.

start
string<date>

Filter by date range start (YYYY-MM-DD). Use with end.

end
string<date>

Filter by date range end (YYYY-MM-DD). Use with start.

host
string

Filter by host user ID

Response

200

Sessions list